package me.eater.hefbrug.dsl.context

import me.eater.hefbrug.node.Node
import me.eater.hefbrug.selector.SelectorInterface

class AssignContext(private val node: Node) :
    SelectionDefinitionContext<AssignContext.() -> Unit> {

    val groups: MutableSet<String>
        get() = node.groups

    override fun select(selector: SelectorInterface, block: AssignContext.() -> Unit) {
        if (selector.matches(node)) {
            block(this)
        }
    }
}