package me.eater.hefbrug.dsl.context.extension_util

import me.eater.hefbrug.definition.DefinitionFactory

object FactoryRegister {
    private val map = mutableMapOf<String, DefinitionFactory<*, *, *>>()

    operator fun plusAssign(factory: DefinitionFactory<*, *, *>) {
        map[factory.id] = factory
    }

    operator fun get(id: String) = map[id]!!
}