package me.eater.hefbrug.dsl.context.extension_util

import me.eater.hefbrug.dsl.scope.SelectorScope
import me.eater.hefbrug.executor.Executor
import java.util.*

class Register(val id: UUID) {
    val selectorScope: SelectorScope = SelectorScope(id)

    companion object {
        private val registerMap = mutableMapOf<UUID, Register>()

        operator fun get(id: UUID) = registerMap[id]!!

        fun register(register: Register) {
            registerMap[register.id] = register
        }
    }
}