package me.eater.hefbrug.module

import me.eater.hefbrug.dsl.context.ModuleContext
import java.util.*

class Module(val id: String, private val contextUUID: UUID) {
    private val blocks: MutableSet<suspend ModuleContext.() -> Unit> = mutableSetOf()
    fun getContext(runtimeUUID: UUID, arguments: Map<String, Any?>): ModuleContext = ModuleContext(runtimeUUID, contextUUID, this, arguments)
    fun addBlock(block: suspend ModuleContext.() -> Unit) = blocks.add(block)
}