package me.eater.hefbrug.selector

import me.eater.hefbrug.node.Node

class AllSelector(private val selectors: Collection<SelectorInterface>) : SelectorInterface {
    override fun matches(node: Node) = selectors.all {
        it.matches(node)
    }

    constructor(vararg selector: SelectorInterface) : this(selector.asList())
}