package me.eater.hefbrug.collector

import me.eater.hefbrug.definition.DefinitionWildcard
import me.eater.hefbrug.executor.ExecutionContext
import me.eater.hefbrug.state.AbstractState

abstract class AbstractCollector<S : AbstractState, D : DefinitionWildcard<S>>(val context: ExecutionContext) {
    abstract suspend fun collect(definition: D): S
}