package me.eater.hefbrug.dsl.context

import me.eater.hefbrug.definition.DefinitionKey
import me.eater.hefbrug.definition.DefinitionKeyAction

interface Emitter {
    val notify: MutableSet<DefinitionKeyAction>

    operator fun MutableSet<DefinitionKeyAction>.plusAssign(definitionKey: Array<out DefinitionKey>) {
        this.addAll(definitionKey.map { DefinitionKeyAction(it.group, it.id, "default") })
    }
}