package me.eater.hefbrug.node

import me.eater.hefbrug.logging.LogFormat

data class Node(val hostname: String) : LogFormat {
    val groups = mutableSetOf<String>()


    override fun toString() = "Node[$hostname,groups={${groups.joinToString(",")}}]"
    override fun logFormat() = "@|green $this|@"
}