package me.eater.hefbrug.utils

import kotlin.properties.ReadOnlyProperty
import kotlin.reflect.KProperty

class ArgumentDelegate<T>(val map: Map<String, Any?>, val name: String? = null, val default: T? = null) :
    ReadOnlyProperty<Nothing?, T> {
    @Suppress("UNCHECKED_CAST")
    override fun getValue(thisRef: Nothing?, property: KProperty<*>): T {
        val key = name ?: property.name
        if (key !in map) return default as T
        return map[key] as T
    }
}